package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 短信开关 (1.开,0.关)枚举类
*
* @author zxfei
*/
public enum MessageoffEnum {
    开(1, "开"),
    关(0, "关");
    private Integer value;
    private String desc;

    MessageoffEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static MessageoffEnum getByValue(Integer value) {
        for (MessageoffEnum messageoffEnum : MessageoffEnum.values()) {
            if (messageoffEnum.getValue() == value) {
                return messageoffEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (MessageoffEnum item : MessageoffEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}